| LCD Library 1.3.0 LCD Library - LCD control class hierarchy library. Drop in replacement for the LiquidCrystal Library.

- Main Page
- Classes
- Files

- File List
- File Members

Classes | Defines | Enumerations
LiquidCrystal_SR1W.h File Reference
`#include <inttypes.h>`
`#include "LCD.h"`
`#include "FastIO.h"`

Go to the source code of this file.

## Classes
class | LiquidCrystal_SR1W
## Defines
#define | SR1W_ATOMIC_WRITE_HIGH(reg, mask) ATOMIC_BLOCK(ATOMIC_RESTORESTATE) { *reg |= mask; }
#define | SR1W_ATOMIC_WRITE_LOW(reg, mask) ATOMIC_BLOCK(ATOMIC_RESTORESTATE) { *reg &= ~mask; }
#define | SR1W_BL_MASK 0x20
#define | SR1W_D4_MASK 0x10
#define | SR1W_D5_MASK 0x08
#define | SR1W_D6_MASK 0x04
#define | SR1W_D7_MASK 0x02
#define | SR1W_DELAY() { delayMicroseconds(SR1W_DELAY_US); numDelays++; }
#define | SR1W_DELAY_US 5
#define | SR1W_EN_MASK 0x80
#define | SR1W_RS_MASK 0x40
#define | SR1W_UNUSED_MASK 0x01
## Enumerations
enum | t_sr1w_circuitType { SW_CLEAR, HW_CLEAR }

## Define Documentation

#define SR1W_ATOMIC_WRITE_HIGH | ( |  | reg,
|  |  | mask
| ) |  | ATOMIC_BLOCK(ATOMIC_RESTORESTATE) { *reg |= mask; }

Definition at line 294 of file LiquidCrystal_SR1W.h.

#define SR1W_ATOMIC_WRITE_LOW | ( |  | reg,
|  |  | mask
| ) |  | ATOMIC_BLOCK(ATOMIC_RESTORESTATE) { *reg &= ~mask; }

Definition at line 293 of file LiquidCrystal_SR1W.h.

#define SR1W_BL_MASK 0x20

Definition at line 289 of file LiquidCrystal_SR1W.h.

#define SR1W_D4_MASK 0x10

Definition at line 288 of file LiquidCrystal_SR1W.h.

#define SR1W_D5_MASK 0x08

Definition at line 287 of file LiquidCrystal_SR1W.h.

#define SR1W_D6_MASK 0x04

Definition at line 286 of file LiquidCrystal_SR1W.h.

#define SR1W_D7_MASK 0x02

Definition at line 285 of file LiquidCrystal_SR1W.h.

#define SR1W_DELAY | ( |  | ) | { delayMicroseconds(SR1W_DELAY_US); numDelays++; }

Definition at line 279 of file LiquidCrystal_SR1W.h.

#define SR1W_DELAY_US 5

Definition at line 278 of file LiquidCrystal_SR1W.h.

#define SR1W_EN_MASK 0x80

Definition at line 291 of file LiquidCrystal_SR1W.h.

#define SR1W_RS_MASK 0x40

Definition at line 290 of file LiquidCrystal_SR1W.h.

#define SR1W_UNUSED_MASK 0x01

Definition at line 284 of file LiquidCrystal_SR1W.h.

## Enumeration Type Documentation

enum t_sr1w_circuitType

Enumerator:

  SW_CLEAR |
  HW_CLEAR |

Definition at line 297 of file LiquidCrystal_SR1W.h.

All Classes Files Functions Variables Typedefs Enumerations Enumerator Defines